<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <title>Positionnement</title>
  <link rel="stylesheet" href="./styles.css" />
</head>

<body>
  <section class="header">
    <h1 class="title">Positionnement</h1>
  </section>
  <main id="main">
    <div class="block-container bg-lightgrey">
      <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Libero tenetur, harum fugiat nemo soluta eos eius
        magnam aliquid officiis, incidunt nesciunt hic deleniti. Debitis dignissimos quo blanditiis magni, molestias
        sapiente.
        Optio voluptate voluptatem recusandae, ad suscipit ducimus illo quidem omnis et, incidunt magnam eos expedita id
        reiciendis, corrupti culpa molestiae? Ab, quaerat? Dignissimos error obcaecati dolores, accusamus velit aut
        harum?
      </p>
      <div class="block block-absolute bg-lightpink">
        Je suis en absolute<br>
        <code>position: absolute</code>
      </div>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Earum enim deserunt dolores voluptates laudantium rem
        exercitationem perferendis quis optio harum, culpa sequi accusantium. Ratione fugit earum architecto quos
        placeat est!</p>
        <div class="block block-absolute-positionned bg-lightyellow">
          Je suis en absolute<br>
          <pre>{
  position: absolute
  top: 30px;
  left: 50%;
}</pre>
        </div>
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eveniet ducimus, optio a, delectus porro tenetur
        explicabo rem, architecto iure quo nam voluptatibus molestiae odit quasi. Quod debitis soluta error temporibus.
      </p>
      <p>
        Quibusdam, eveniet deserunt vel aspernatur iste aliquam debitis tenetur magnam quasi sunt iusto ipsum laborum
        repellendus doloremque dolorum quo similique aperiam. Velit autem voluptates non, accusamus provident magni iste
        quaerat?</p>
      <div class="block-relative bg-lightblue">
        Je suis en relative<br>
        <code>position: relative</code>
      </div>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni harum, velit culpa obcaecati animi quibusdam
        ex nostrum consequatur totam molestias necessitatibus beatae omnis at reprehenderit, soluta sint. Rerum, velit
        fugiat!</p>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Debitis cupiditate tempore cum? Deserunt facilis,
        optio deleniti enim reiciendis quas. Ut in facilis saepe expedita soluta velit cupiditate impedit cumque
        dolores!</p>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quibusdam et sequi impedit, minima dolorem beatae
        omnis alias tempore. Voluptate, animi! Et ipsam quo aspernatur libero exercitationem incidunt voluptatem
        eligendi fugiat.
      </p>
    </div>
    <p>
      Molestias id illum quos corrupti atque. Quam, accusantium odio debitis repudiandae aut perspiciatis quaerat
      sapiente aperiam et ullam voluptates aspernatur laborum. Suscipit consequuntur optio autem fuga beatae delectus
      magnam officia.
    </p>
    <div id="block-nl" class="block-fixed bg-lightgreen">
      abonnez-vous!<br>
      <code>position: fixed</code>
    </div>
    <p>
      Culpa incidunt architecto debitis, veritatis quasi sunt. Corporis vero dolorem at laudantium laboriosam quae
      illum ea distinctio, quis tempora commodi ratione inventore dolorum esse nisi sequi harum eius suscipit et?</p>
    </p>
    <p>Molestias magnam consectetur tempore quia minima. Hic deleniti blanditiis aliquid in, velit quas ut laudantium
      impedit repellendus excepturi! Facere dolore facilis doloribus tempora et at soluta perspiciatis molestias
      quidem unde?
    </p>
  </main>
</body>

</html>